LSLOCKS(8)

NAZWA
lslocks - wypisuje lokalne blokady systemowe

SKŁADNIA

lslocks [opcje]

OPIS

lslocks wypisuje informacje o wszystkich obecnie utrzymywanych blokadach plików w systemie Linux.

OPCJE

-b, --bytes
    Wypisuje rozmiary w bajtach, zamiast w formacie czytelnym dla ludzi.

    Domyślnie jednostką w której pokazywane są rozmiary jest bajt, a przedrostki jednostek są wielokrotnościami 2^10 (1024). Symbole jednostek są pokazywane w skróconej formie, aby poprawić czytelność, poprzez pokazanie jedynie pierwszej litery np. "1 KiB" i "1 MiB" stają się odpowiednio: "1 K" i "1 M", tj. cząstka "iB", będąca częścią nazw jednostek, jest celowo pomijana.

-H, --list-columns
    Wypisuje dostępne kolumny, w połączeniu z --json lub --raw daje wynik w formacie czytelnym maszynowo.

-i, --noinaccessible
    Ignoruje blokady plików niedostępnych dla bieżącego użytkownika.

-J, --json
    Używa formatu wyjściowego JSON.

-n, --noheadings
    Nie wypisuje nagłówka.

-o, --output lista
    Określa wypisywane kolumny. Ich listę można poznać podając opcję --help.

    Domyślną listę kolumn można rozszerzyć, podając listę w formacie +lista (np. lslocks -o +BLOCKER).

--output-all
    Wypisuje wszystkie dostępne kolumny.

-p, --pid pid
    Wypisuje tylko blokady utrzymywane przez proces o identyfikatorze pid.

-r, --raw
    Używa surowego formatu wyjściowego.

-u, --notruncate
    Nie przycina tekstu w kolumnach.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

WYJŚCIE

COMMAND
    Nazwa polecenia procesu utrzymującego blokadę.

PID
    Identyfikator procesu.

TYPE
    Typ blokady; może być to: LEASE (blokada utworzona przez fcntl(2)), FLOCK (utworzona przez flock(2)), POSIX (utworzona przez fcntl(2) i lockf(3)) lub OFDLCK (utworzona przez fcntl(2)).

SIZE
    Rozmiar zablokowanego pliku.

INODE
    Numer i-węzła.

MAJ:MIN
    Główny:poboczny numer urządzenia.

MODE
    Uprawnienia dostępu blokady (odczyt, zapis). Jeśli proces jest zablokowany i czeka na blokadę, to po trybie jest doklejona "*" (gwiazdka).

M
    Wskazuje czy blokada jest obowiązująca (przymusowa): 0 oznacza nie (blokada jest tylko doradcza), 1 oznacza tak (zob. fcntl(2)).

START
    Względne przesunięcie bajtowe blokady.

END
    Przesunięcie końca blokady.

PATH
    Pełna ścieżka blokady. Jeśli nie zostanie odnaleziona lub gdy brak uprawnień do odczytu ścieżki, umieszczony będzie punkt montowania urządzenia z dopisanymi "...". Ścieżka może zostać przycięta; opcja --notruncate pokaże pełną ścieżkę.

BLOCKER
    PID procesu blokującego.

HOLDERS
    Utrzymujący blokadę. Formatem utrzymującego jest: PID,COMMAND,FD. Jeśli blokada jest blokadą opisu otwartego pliku (ODF), może wystąpić kilku utrzymujących. Zob. UWAGI poniżej.

UWAGI

Polecenie lslocks służy zastąpieniu polecenia lslk(8), pierwotnie napisanego przez które nie jest utrzymywane od 2001 r.

"Proces utrzymujący blokadę" w przypadku dzierżaw, blokad FLOCK oraz blokad opisu otwartego pliku (ODF) jest nieprawidłowym pojęciem. Są one związane z opisem otwartego pliku, na których są uzyskiwane. Z pomocą fork(2) i/lub cmsg(3), wiele procesów może dzielić opis otwartego pliku. Zatem nie da się wskazać jednego procesu utrzymującego dzierżawę (lub blokady). lslocks pokazuje jeden z procesów utrzymujących w kolumnach COMMAND i PID.

AUTORZY

ZOBACZ TAKŻE

flock(1), fcntl(2), lockf(3)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie lslocks jest częścią pakietu util-linux, który można pobrać ze strony